<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>h2</title>
    <link rel="stylesheet" href="./style.css">
</head>

<body>
    <header class="header">
        <nav class="header-nav"></nav>
        <section class="header-nav-title"></section>
        <div class="container">
            <ul class="header-nav-list">
                <li class="header-nav-item"><a class="header-nav-link" href="https://dan-it.com.ua/uk/">
                        About us
                    </a>
                </li>
                <li class="header-nav-item"><a class="header-nav-link" href="#">
                        Projects
                    </a>
                </li>
                <li class="header-nav-item"><a class="header-nav-link" href="#">
                        Blog
                    </a>
                </li>
                <li class="header-nav-item"><a class="header-nav-link" href="#">
                        Templates
                    </a>
                </li>
                <li class="header-nav-item"><a class="header-nav-link" href="#">
                        Libraries
                    </a>
                </li>
            </ul>
        </div>
    </section>
</nav>
       
    </header>
    <main class="main">
        <div class="block"></div>
        <section class="main-content">
            <h1 class="main-title">How does CSS actually work?</h1>
            <p class="main-description">When a browser displays a document, it must combine the document's content
                with <br>its style information. It processes the document in a number of stages, which we've
                <br>listed below. Bear
                in mind that <span>this is a very simplified version</span> of what happens when <br>a browser loads
                a webpage, and that different browsers will handle the process in <br>different ways. But this is
                roughly what happens.
            </p>
            <ol class="main-list">
                <li class="main-item"> The browser loads the HTML (e.g. receives it from the network).
                </li>
                <li class="main-item"> It converts the HTML into a DOM (Document Object Model). The DOM represents
                    the
                    document <br> in
                    the computer's memory. The DOM is explained in a bit more detail in the next section.
                </li>
                <li class="main-item"> The browser then fetches most of the resources that are linked to by the HTML
                    document, such as <br> embedded images, videos, and even linked CSS! JavaScript is handled a bit
                    later
                    on in the <br>process, and we won't talk about it here to keep things simpler.
                </li>
                <li class="main-item">The browser parses the fetched CSS, and sorts the different rules by their
                    selector
                    types into <br> different "buckets", e.g. element, class, ID, and so on. Based on the selectors
                    it
                    finds, it works out <br>which rules should be applied to which nodes in the DOM, and attaches
                    style
                    to
                    them as required <br>(this intermediate step is called a render tree).
                </li>
                <li class="main-item"> The render tree is laid out in the structure it should appear in after the
                    rules
                    have
                    been applied to<br>it.
                </li>
                <li class="main-item"> The visual display of the page is shown on the screen (this stage is called
                    painting).
                </li>
            </ol>
            <button class="button">
                <p> Learn move </p>
            </button>
        </section>

    </main>

    <footer class="footer">
        <div class="container">
        <section class="footer-text">
        <p> All right reserved </p>
    </section>
</div>

    </footer>
    </div>
</body>

</html>